[tox]
envlist = py37,py38,py39,py310,py311,py312,flake8

[testenv]
deps =
commands =
    pip install -e .
    pip install git+https://github.com/Kazade/sleuth.git#egg=sleuth
    python gcloud_tasks_emulator/tests.py

[flake8]
max-line-length = 120

[testenv:flake8]
deps =
    flake8
    flake8_formatter_junit_xml
commands =
    flake8 gcloud_tasks_emulator {posargs}
